Package uk.ac.starlink.topcat.plot

## Class CentreZoomRegion

- java.lang.Object
- - uk.ac.starlink.topcat.plot.ZoomRegion
  - - uk.ac.starlink.topcat.plot.CentreZoomRegion

-     public abstract class CentreZoomRegion
      extends ZoomRegion

  ZoomRegion implementation for a zoom around the centre of the display region.
  Since:
    13 Apr 2006
  Author:
    Mark Taylor
  See Also:
    `Zoomer`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CentreZoomRegion​(boolean isX)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ZoomDrag` | `createDrag​(java.awt.Component comp, java.awt.Point start)` | Returns a new ZoomDrag object appropriate for this region.
    `abstract java.awt.Rectangle` | `getDisplay()` | Returns the display region.
    `abstract java.awt.Rectangle` | `getTarget()` | Returns the target region.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class uk.ac.starlink.topcat.plot.ZoomRegion

      `getCursor, setCursor, setDisplay, setTarget, zoomed`

- - ### Constructor Detail

    - #### CentreZoomRegion

          public CentreZoomRegion​(boolean isX)

      Constructor.
      Parameters:
        `isX` - true if the target region is horizontal, false for vertical

  - ### Method Detail

    - #### createDrag

          public ZoomDrag createDrag​(java.awt.Component comp,
                                     java.awt.Point start)

      Description copied from class: `ZoomRegion`
      Returns a new ZoomDrag object appropriate for this region.
      Specified by:
        `createDrag` in class `ZoomRegion`
      Parameters:
        `comp` - component on which the drag is taking place
        `start` - start point for the drag
      Returns:
        new drag object

    - #### getTarget

          public abstract java.awt.Rectangle getTarget()

      Description copied from class: `ZoomRegion`
      Returns the target region. This is the region within which the mouse must be clicked and dragged in order to generate a zoom event.
      Overrides:
        `getTarget` in class `ZoomRegion`
      Returns:
        target region

    - #### getDisplay

          public abstract java.awt.Rectangle getDisplay()

      Description copied from class: `ZoomRegion`
      Returns the display region. This is the region used to display visual feedback to the user during a drag gesture.
      Overrides:
        `getDisplay` in class `ZoomRegion`
      Returns:
        display region

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.